{
  "name": "dsjslib",
  "version": "0.6.14",
  "description": "Implementation of commonly used data structures and utilities in JavaScript.",
  "main": "index.js",
  "directories": {
    "test": "tests"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/monmohan/dsjs.git"
  },
  "keywords": [
    "ds",
    "sort map",
    "data structures",
    "JavaScript",
    "AVL",
    "AVLTree",
    "Trie",
    "TernarySearchTrie",
    "MultiWayTrie",
    "SkipList",
    "BTree",
    "BinarySearch",
    "BinarySearchTree",
    "SortedMap",
    "LRU",
    "cache",
    "eviction",
    "maximize",
    "least recently used",
    "loading",
    "guava",
    "async",
    "Delay Queue",
    "DelayQueue",
    "PriorityQueue",
    "Heap",
    "BinaryHeap",
    "BitSet",
    "BitArray",
    "BitVector",
    "CircularBuffer",
    "RingBuffer",
    "Graph",
    "Directed",
    "UnDirected",
    "Shortest",
    "cycle",
    "Path",
    "topological",
    "BloomFilter",
    "Bloom",
    "Filter"
  ],
  "author": {
    "name": "monmohan@gmail.com"
  },
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/monmohan/dsjs/issues"
  },
  "engines": {
    "node": ">= 0.4.0"
  },
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "homepage": "https://github.com/monmohan/dsjs",
  "_id": "dsjslib@0.6.14",
  "_shasum": "b64686638636da75dd72d01158f7b619e5429a4f",
  "_resolved": "https://registry.npm.taobao.org/dsjslib/download/dsjslib-0.6.14.tgz",
  "_from": "dsjslib@*",
  "_npmVersion": "1.4.28",
  "_npmUser": {
    "name": "monmohan",
    "email": "monmohan@gmail.com"
  },
  "maintainers": [
    {
      "name": "monmohan",
      "email": "monmohan@gmail.com"
    }
  ],
  "dist": {
    "shasum": "b64686638636da75dd72d01158f7b619e5429a4f",
    "size": 54475,
    "noattachment": false,
    "tarball": "http://registry.npm.taobao.org/dsjslib/download/dsjslib-0.6.14.tgz"
  },
  "publish_time": 1415886403711,
  "_cnpm_publish_time": 1415886403711
}
